package com.phm.manage.service.impl;

import com.phm.manage.domain.DeepIsolationModel;
import com.phm.manage.mapper.DeepIsolationModelMapper;
import com.phm.manage.service.IDeepIsolationModelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 深度隔离模型Service业务层处理
 *
 * @author phm
 * @date 2023-08-22
 */
@Service
public class DeepIsolationModelServiceImpl implements IDeepIsolationModelService {
    @Autowired
    private DeepIsolationModelMapper deepIsolationModelMapper;

    /**
     * 查询深度隔离模型
     *
     * @param id 深度隔离模型主键
     * @return 深度隔离模型
     */
    @Override
    public DeepIsolationModel selectDeepIsolationModelById(Long id) {
        return deepIsolationModelMapper.selectDeepIsolationModelById(id);
    }

    /**
     * 查询深度隔离模型列表
     *
     * @param deepIsolationModel 深度隔离模型
     * @return 深度隔离模型
     */
    @Override
    public List<DeepIsolationModel> selectDeepIsolationModelList(DeepIsolationModel deepIsolationModel) {
        return deepIsolationModelMapper.selectDeepIsolationModelList(deepIsolationModel);
    }

    /**
     * 新增深度隔离模型
     *
     * @param deepIsolationModel 深度隔离模型
     * @return 结果
     */
    @Override
    public int insertDeepIsolationModel(DeepIsolationModel deepIsolationModel) {
        return deepIsolationModelMapper.insertDeepIsolationModel(deepIsolationModel);
    }

    /**
     * 修改深度隔离模型
     *
     * @param deepIsolationModel 深度隔离模型
     * @return 结果
     */
    @Override
    public int updateDeepIsolationModel(DeepIsolationModel deepIsolationModel) {
        return deepIsolationModelMapper.updateDeepIsolationModel(deepIsolationModel);
    }

    /**
     * 批量删除深度隔离模型
     *
     * @param ids 需要删除的深度隔离模型主键
     * @return 结果
     */
    @Override
    public int deleteDeepIsolationModelByIds(Long[] ids) {
        return deepIsolationModelMapper.deleteDeepIsolationModelByIds(ids);
    }

    /**
     * 删除深度隔离模型信息
     *
     * @param id 深度隔离模型主键
     * @return 结果
     */
    @Override
    public int deleteDeepIsolationModelById(Long id) {
        return deepIsolationModelMapper.deleteDeepIsolationModelById(id);
    }
}
